import sys
sys.path.append('../..')

import report
import stringtools

report.stdoutLoggingConfigure(log_name_lvl=[('root', 'DEBUG'), ])
s = stringtools.csp.csp()
for byte in b'message\n':
    data = s.process(bytes([byte]))
    if len(data) > 0:
        print(data)
